Loading...
Searching...
No Matches
gr::message Class Reference
Miscellaneous

Message class. More...

`#include <gnuradio/message.h>`

## Public Types

typedef std::shared_ptr< message > | sptr

## Public Member Functions

| ~message ()
long | type () const
double | arg1 () const
double | arg2 () const
void | set_type (long type)
void | set_arg1 (double arg1)
void | set_arg2 (double arg2)
unsigned char * | msg () const
size_t | length () const
std::string | to_string () const

## Static Public Member Functions

static sptr | make (long type=0, double arg1=0, double arg2=0, size_t length=0)
| public constructor for message
static sptr | make_from_string (const std::string s, long type=0, double arg1=0, double arg2=0)

## Friends

class | msg_queue

## Detailed Description

Message class.

The ideas and method names for adjustable message length were lifted from the click modular router "Packet" class.

## Member Typedef Documentation

## sptr

std::shared_ptr<message> gr::message::sptr

## Constructor & Destructor Documentation

## ~message()

gr::message::~message | ( |  | ) |

## Member Function Documentation

## arg1()

double gr::message::arg1 | ( |  | ) | const

inline

## arg2()

double gr::message::arg2 | ( |  | ) | const

inline

## length()

size_t gr::message::length | ( |  | ) | const

inline

## make()

static sptr gr::message::make | ( | long | type = 0,
|  | double | arg1 = 0,
|  | double | arg2 = 0,
|  | size_t | length = 0 )

static

public constructor for message

## make_from_string()

static sptr gr::message::make_from_string | ( | const std::string | s,
|  | long | type = 0,
|  | double | arg1 = 0,
|  | double | arg2 = 0 )

static

## msg()

unsigned char * gr::message::msg | ( |  | ) | const

inline

## set_arg1()

void gr::message::set_arg1 | ( | double | arg1 | ) |

inline

## set_arg2()

void gr::message::set_arg2 | ( | double | arg2 | ) |

inline

## set_type()

void gr::message::set_type | ( | long | type | ) |

inline

## to_string()

std::string gr::message::to_string | ( |  | ) | const

## type()

long gr::message::type | ( |  | ) | const

inline

## Friends And Related Symbol Documentation

## msg_queue

friend class msg_queue

friend

The documentation for this class was generated from the following file:

- message.h